// Apply from Effect Point - Version 1.1

// This Program Sets the value of the first set of popups to the value of the second set of
//  popups multiplied by "scale_factor".
// It assumes that the first value is a position value and the second value is an effect
// point control. 

//      LAYER                                           PROPERTY                  CHANNEL
//      ------                                          ----------                  --------
// 1: layer to copy effect position to       Position                      channel of position property
// 2: layer which has an effect                effect point control    channel of effect point control

// Since effect point controls are expressed in layer coordinates,
// we must wrap the evaluation of the effect point with "layer_to_comp" so
// that the layer coordinates are transformed to comp coordinates.

scale_factor = 1.0;
value(pop_layer(1), pop_property(1)) [pop_channel(1)] =
  layer_to_comp(pop_layer(2), 
												  value(pop_layer(2), pop_property(2)) [pop_channel(2)]) * scale_factor;
