// Apply to Effect Point - Version 1.1

// This Program Sets the value of the first set of popups
// to the value of the second set of popups multiplied by
// "scale_factor", assuming that the first property is an effect point.

//      LAYER                                   PROPERTY                     CHANNEL
//      ------                                  ----------                     --------
// 1: layer which has an effect        effect point control       channel of effect point control
// 2: layer to copy position from     Position                        channel of position property

// I assume that the first value is an effect
// point control, and so I wrap the evaluation in comp_to_layer,
// since effect point controls are defined in layer coordinates.

scale_factor = 1.0;	// change this to scale values as they are copied
value(pop_layer(1), pop_property(1)) [pop_channel(1)] =
  comp_to_layer(pop_layer(1), 
												  value(pop_layer(2), pop_property(2)) [pop_channel(2)]) * scale_factor;
